Bug 26117 - Installer trying to install qla1280 onto Perc3/QC card
Summary: Installer trying to install qla1280 onto Perc3/QC card
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-05 18:02 UTC by Tesfamariam Michael
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-14 05:13:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tesfamariam Michael 2001-02-05 18:02:31 UTC
When installing onto Perc3/QC and Perc3/DC, the installer tries to install "qla1280" driver and hangs the installation. When the installer finds the Perc3/QC, Perc3/DC, and Perc3/DCL, it needs to insmod megaraid and ignore the Q-Logic chip on these cards..

Comment 1 Tim Powers 2001-02-05 18:12:58 UTC
Submitted under the wrong product/component. Fixing.

Comment 2 Glen Foster 2001-02-05 22:58:15 UTC
This defect is considered MUST-FIX for Florence Release-Candidate #1

Comment 3 Matt Wilson 2001-02-06 17:01:04 UTC
kudzu detection bug


Comment 4 Bill Nottingham 2001-02-06 17:46:21 UTC
Do you have one of these machines installed with anything recent?

Beyond that, do we have any of the cards?

Comment 5 Bill Nottingham 2001-02-06 21:42:42 UTC
lspci -vn output (I've probably asked for this before, but I can't
find the mail...)


Comment 6 Bill Nottingham 2001-02-06 21:47:03 UTC
Is this the AMI Megaraid that has:
03:00.0 Class 0100: 101e:1960 (rev 20)
        Subsystem: 1028:0493

with a Qlogic chip of:

02:01.0 Class 0100: 1077:1216 (rev 05)
        Subsystem: 101e:8493

I'm seeing this being properly ignored in a post-install environment
here.

Comment 7 Bill Nottingham 2001-02-06 21:49:58 UTC
Hence, I think the installer is using the pcitable wrong.

Comment 8 Michael Fulbright 2001-02-08 20:26:42 UTC
I will need one of these to look at the problem.


Comment 9 Tesfamariam Michael 2001-02-12 16:39:42 UTC
I sent a patch that has all these info BUG#21902. Do you need anything more?

Comment 10 Michael Fulbright 2001-02-12 19:07:00 UTC
Perhaps you mean a different bug? Bug 21902 didn't seem to be related.

Comment 11 Tesfamariam Michael 2001-02-12 19:14:12 UTC
Sorry, typo error. I meant Bug#21920

Comment 12 Michael Fulbright 2001-02-14 02:27:28 UTC
I've added the "ignore" lines from pcitable used by kudzu to the installer
pcitable.  Will test.

Comment 13 Michael Fulbright 2001-02-14 05:13:08 UTC
Latest build includes "ignore" fields, did not try to load qla1280 driver.

Do not have drivers/etc to test proper operation of card, but original bug
report is fixed.

Comment 14 Matt Domsch 2001-02-24 21:20:16 UTC
Florence RC1 fixed this issue.


Note You need to log in before you can comment on or make changes to this bug.